Page MenuHomePhabricator

Improve documentation around running/writing (with lots of examples) browser tests
Closed, ResolvedPublic

Description

Goal

Doing

To do

  • subpages
  • Testing link at How to contribute page should point to a landing page about testing

Done

  • landing page: Selenium
    • Getting help section
    • Run tests section
  • moved everything that could be useful to Browser testing as a subpage
  • moved everything outdated to Quality Assurance as a subpage
  • both pages have list of subpages at the bottom
  • cleaned up categories:

Background

Event Timeline

ggellerman assigned this task to dduvall.
ggellerman raised the priority of this task from to Needs Triage.
ggellerman updated the task description. (Show Details)
ggellerman added subscribers: ggellerman, Spage, Aklapper.

The existing landing page for browser tests (from "How to contribute") is https://www.mediawiki.org/wiki/Quality_Assurance/Browser_testing. I think that should be the main target for a comprehensive guide.

dduvall set Security to None.
dduvall moved this task from Backlog to Doing on the Testing-Initiative board.Aug 12 2015, 9:37 PM

To encourage browser tests from the start, build a working basic skeleton into the BoilerPlate extension, and in its tests/README link to the the mysterious Jenkins Job Builder-fu for Continuous integration/Browser tests.

greg moved this task from INBOX to Next on the Release-Engineering-Team board.Sep 24 2015, 1:22 AM

@zeljkofilipin, I haven't had much time to work on this, with scap3 priorities and all. Would you be willing to lend a hand?

zeljkofilipin added a subscriber: dduvall.

Sure, taking over the task.

zeljkofilipin moved this task from Doing to Radar on the Testing-Initiative board.Nov 23 2015, 2:24 PM
zeljkofilipin moved this task from Documentation to Next on the Browser-Tests-Infrastructure board.

This is so outdated it is not even funny

Add {{Template:Outdated}} for the time being to make it clear to contributors?

@Aklapper: @JanZerebecki, @hashar and I talked about it recently, and decided to add {{TNT|Historical}} template.

zeljkofilipin removed zeljkofilipin as the assignee of this task.Dec 10 2015, 4:07 PM
zeljkofilipin moved this task from Next to In-progress on the Release-Engineering-Team board.
zeljkofilipin moved this task from Radar to Doing on the Testing-Initiative board.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin added a comment.EditedSep 6 2016, 10:54 AM

Done so far:

Both pages have list of subpages at the bottom.

Cleaned up categories:

Categories that need cleaning up:

zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:03 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:07 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:09 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:11 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:14 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:24 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:31 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:34 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 1:41 PM
zeljkofilipin updated the task description. (Show Details)Sep 6 2016, 5:35 PM

Change 309040 had a related patch set uploaded (by Zfilipin):
WIP Run tests from MediaWiki-Vagrant virtual machine headless

https://gerrit.wikimedia.org/r/309040

greg added a subscriber: greg.Sep 7 2016, 6:23 PM

https://www.mediawiki.org/wiki/Selenium has the associated talk: page pointed at https://www.mediawiki.org/wiki/Talk:Selenium but clicking on "Page" brings me to https://www.mediawiki.org/wiki/Test_framework_deployment/Requirements

https://www.mediawiki.org/wiki/Talk:Selenium has "Talk:Test framework deployment/Requirements" in the <title>

Argh. Selenium page was redirect to Test framework, and I have deleted it, but looks like the talk page still redirects there. I am not sure what to do. I could delete the talk page, that could delete the redirect, but I am not sure.

Change 309040 merged by jenkins-bot:
Run tests from MediaWiki-Vagrant virtual machine headlessly

https://gerrit.wikimedia.org/r/309040

Change 310280 had a related patch set uploaded (by Zfilipin):
WIP Testing mwext-mw-selenium Jenkins job

https://gerrit.wikimedia.org/r/310280

Change 310280 abandoned by Zfilipin:
WIP Testing mwext-mw-selenium Jenkins job

https://gerrit.wikimedia.org/r/310280

zeljkofilipin removed zeljkofilipin as the assignee of this task.Sep 19 2016, 4:19 PM
zeljkofilipin moved this task from In-progress to Next on the Release-Engineering-Team board.
zeljkofilipin moved this task from Doing to Radar on the Testing-Initiative board.
zeljkofilipin moved this task from In Progress to Next on the Browser-Tests-Infrastructure board.
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.
zeljkofilipin moved this task from Next 🔜 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin moved this task from Radar to Doing on the Testing-Initiative board.
zeljkofilipin moved this task from Next to In Progress on the Browser-Tests-Infrastructure board.
zeljkofilipin moved this task from Next to In-progress on the Release-Engineering-Team board.
zeljkofilipin closed this task as Resolved.Nov 22 2016, 10:25 AM